# CollectionModify::sort

(No version information available, might only be in Git)

CollectionModify::sort — Set the sorting criteria

### Description

public mysql_xdevapi\CollectionModify::sort ( string `$sort_expr` ) : mysql_xdevapi\CollectionModify

Sort the result set by the field selected in the sort_expr argument. The allowed orders are ASC (Ascending) or DESC (Descending). This operation is equivalent to the 'ORDER BY' SQL operation and it follows the same set of rules.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`sort_expr`

  One or more sorting expression can be provided, the evaluation of these will be from the leftmost to the rightmost, each expression must be separated by a comma.

### Return Values

CollectionModify object that can be used for further processing.

### Examples

Example #1 mysql_xdevapi\CollectionModify::sort() example

`<?php
$res = $coll->modify('true')->sort('name desc', 'age asc')->limit(4)->set('Married', 'NO')->execute();
?>`